Compatibility and Upgrading with GE Products

If you plan to use one or more other GE products with Workflow, it is important to first determine whether the version of each such product is compatible with the latest version of this application.

Compatible GE Products

Workflow may be used with a number of other GE products. Depending on the product or product version, you may need to run Workflow in a particular architecture mode or take additional measures during set up to ensure compatibility between the products. If so, the notes in the following table provide the necessary details.

Workflow 2.6 SP1
CIMPLICITY Historian iFIX Open Enterprise Plant Applications Operations Hub Plant Applications Service Provider (PASP) (PASP) Proficy Portal Production Manager

8.1

8.2

9.0

9.0 R2

9.5

10

4.5

5.0

5.5

6.0

7.0

5.0

5.1

5.5

5.8

5.9

2.2

6.3

6.3 SP1

6.3 SP2

7.0

7.0.1

1.7 Not Supported Not Supported Not Supported
Workflow 2.6
CIMPLICITY Historian iFIX Open Enterprise Plant Applications Operations Hub Plant Applications Service Provider (PASP) (PASP) Proficy Portal Production Manager

8.1

8.2

9.0

9.0 R2

9.5

10

4.5

5.0

5.5

6.0

7.0

5.0

5.1

5.5

5.8

5.9

2.2

6.3

6.3 SP1

6.3 SP2

7.0

7.0.1

1.7 Not Supported Not Supported Not Supported
Workflow 2.5 SP4
CIMPLICITY Historian iFIX Open Enterprise Plant Applications Operations Hub Plant Applications Service Provider (PASP) (PASP) Proficy Portal Production Manager

8.1

8.2

9.0

9.0 R2

9.5

4.5

5.0

5.5

6.0

5.0

5.1

5.5

5.8

5.9

2.2

6.3

6.3 SP1

6.3 SP2

7.0

7.0.1

Not Supported Not Supported Not Supported

8.1

Workflow 2.5 SP3
CIMPLICITY Historian iFIX Open Enterprise Plant Applications Operations Hub Plant Applications Service Provider (PASP) (PASP) Proficy Portal Production Manager

8.1

8.2

9.0

9.0 R2

4.5

5.0

5.5

6.0

5.0

5.1

5.5

5.8

2.2

6.3

6.3 SP1

6.3 SP2

7.0

Not Supported Not Supported Not Supported

8.0

Workflow 2.5 SP2
CIMPLICITY Historian iFIX Open Enterprise Plant Applications Operations Hub Plant Applications Service Provider (PASP) (PASP) Proficy Portal Production Manager

8.1

8.2

9.0

9.0 R2

4.5

5.0

5.5

6.0

5.0

5.1

5.5

5.8

2.2 6.3 Not Supported Not Supported Not Supported 7.5
Workflow 2.5 SP1
CIMPLICITY Historian iFIX Open Enterprise Plant Applications Operations Hub Plant Applications Service Provider (PASP) (PASP) Proficy Portal Production Manager

8.1

8.2

9.0

9.0 R2

4.5

5.0

5.5

6.0

5.0

5.1

5.5

5.8

2.2 6.3 Not Supported Not Supported Not Supported Not applicable at time of release
Workflow 2.5
CIMPLICITY Historian iFIX Open Enterprise Plant Applications Operations Hub Plant Applications Service Provider (PASP) (PASP) Proficy Portal Production Manager

8.1

8.2

9.0

9.0 R2

4.5

5.0

5.5

6.0

5.0

5.1

5.5

5.8

2.2 6.3 Not Supported Not Supported Not Supported

7.0

7.0 SP2

7.0 SP3

7.0 SP4

7.0 SP5

Workflow 2.2 SP1
CIMPLICITY Historian iFIX Open Enterprise Plant Applications Operations Hub Plant Applications Service Provider (PASP) (PASP) Proficy Portal Production Manager

8.1

8.2

4.5

5.0

5.5

5.0

5.1

5.5

5.8

2.2 6.2 Not Supported 2.2 3.5 6.3 SP1

6.3 SP2

6.3 SP3

Workflow 2.2
CIMPLICITY Historian iFIX Open Enterprise Plant Applications Operations Hub Plant Applications Service Provider (PASP) (PASP) Proficy Portal Production Manager

8.1

8.2

4.5

5.0

5.5

5.0

5.1

5.5

5.8

2.2 6.2 Not Supported 2.2 3.5 6.3
Workflow 2.1
CIMPLICITY Historian iFIX Open Enterprise Plant Applications Operations Hub Plant Applications Service Provider (PASP) (PASP) Proficy Portal Production Manager
8.1

8.2

4.5

5.0

5.5

5.0

5.1

5.5

1.6 5.0

6.0

6.1

Not Supported 1.5 3.5 6.2
Note:

The following notes apply to product versions compatible with Workflow 2.5 and Workflow 2.6:

  • CIMPLICITY 9.0: End points names must not exceed 32 characters.

The following notes apply to product versions compatible with Workflow 2.2, 2.2 SP1, 2.5:

  • CIMPLICITY 8.1 and 8.2: OPC is recommended for exchanging data between Workflow and CIMPLICITY.
  • Historian 5.0: Data types added to Historian 5.0 (ihUInt64, ihUInt32, ihUInt16, ihByte, ihBool) are not supported for binding to parameters or local variables in Workflow.

Compatible Upgrade Paths for Workflow 2.6

Workflow 2.6 can be used to upgrade the following versions of Workflow:
  • Workflow 2.5 with latest SIM
  • Workflow 2.5 SP1, SP2, SP3, SP4 with latest SIM
  • Workflow 2.5 Reporting SP1, SP2, SP3 SP4 with latest SIM
  • Workflow 2.2 SP1, SP2
  • Workflow 2.2 SP1, SP2 Reporting

Compatible Upgrade Paths

The information in this section indicates the current product compatibility when upgrading from Workflow 2.5 to Workflow 2.5 SP1.

Task List
Workflow with:Workflow client Task ListSupported
ActiveX Task ListSupported
Vision 6.1 with:Web Task ListNot Supported
Workflow Mobile Task ListNot Supported
Vision 6.2 with:Workflow Mobile Task ListNot Supported
Independent Host with:Web Task ListSupported
Vision 6.3 with:HTML Task ListSupported
Service Providers
Historian 4.0, 5.0, 5.5, 6.0Supported
Plant Applications Service Provider (PASP)Not Supported
MESCore SPSupported
Custom Service Provider
Note: Service providers that target versions of the .NET framework before version 4.5 must be recompiled targeting .NET 4.5.
Supported